#
# Site configuration
#

DTP_SITE_NAME=
DTP_SITE_DESCRIPTION=
DTP_SITE_DOMAIN=localhost
DTP_SITE_DOMAIN_KEY=
DTP_SITE_COMPANY=Digital Telepresence, LLC
DTP_PASSWORD_SALT=

DTP_CORE_AUTH_SCHEME=http
DTP_CORE_AUTH_HOST=localhost:3000
DTP_CORE_AUTH_PASSWORD_LEN=64

DTP_IMAGE_WORK_PATH=/tmp/yourapp/image-work
DTP_VIDEO_WORK_PATH=/tmp/yourapp/video-work
DTP_STICKER_WORK_PATH=/tmp/yourapp/sticker-work
DTP_ATTACHMENT_WORK_PATH=/tmp/yourapp/attachment-work

#
# Set this to "enabled" to use NVIDIA GPU acceleration. Setting this to enabled
# without a properly-configured NVIDIA GPU will cause processing jobs to fail.
#
DTP_ENABLE_GPU=disabled

#
# Host Cache configuration
#

DTP_HOST_CACHE_PORT=8010
DTP_HOST_CACHE_PATH=/tmp/dtp-webapp/host-cache
DTP_HOST_CACHE_AUTH_KEY=daf3577a-2ab7-49d5-9b5a-d7e331241cde
DTP_HOST_CACHE_CLEAN_CRON=*/30 * * * * *

#
# Nodemailer SMTP Transport configuration
#

DTP_EMAIL_SERVICE=disabled
DTP_EMAIL_SMTP_HOST=
DTP_EMAIL_SMTP_PORT=465
DTP_EMAIL_SMTP_SECURE=disabled
DTP_EMAIL_SMTP_FROM=
DTP_EMAIL_SMTP_USER=
DTP_EMAIL_SMTP_PASS=
DTP_EMAIL_SMTP_POOL_ENABLED=enabled
DTP_EMAIL_SMTP_POOL_MAX_CONN=5
DTP_EMAIL_SMTP_POOL_MAX_MSGS=100

#
# Mailgun Configuration
#

DTP_MAILGUN_ENABLED=disabled
MAILGUN_API_KEY=
MAILGUN_DOMAIN=

#
# MongoDB configuration
#

MONGODB_HOST=localhost:27017
MONGODB_DATABASE=dtp-sites

#
# Redis configuration
#

REDIS_HOST=localhost
REDIS_PORT=6379
REDIS_PASSWORD=
REDIS_PREFIX=

#
# MinIO configuration
#

MINIO_ENDPOINT=localhost
MINIO_PORT=9000
MINIO_USE_SSL=disabled
MINIO_ACCESS_KEY=dtp-sites
MINIO_SECRET_KEY=
MINIO_IMAGE_BUCKET=site-images
MINIO_VIDEO_BUCKET=site-videos
MINIO_ATTACHMENT_BUCKET=site-attachments

#
# ExpressJS/HTTP configuration
#

HTTP_BIND_ADDRESS=127.0.0.1
HTTP_BIND_PORT=3000
HTTP_SESSION_SECRET=

#
# Log configuration
#

DTP_LOG_CONSOLE=enabled
DTP_LOG_MONGODB=enabled
DTP_LOG_FILE=enabled

DTP_LOG_FILE_PATH=/tmp/dtp-sites/logs
DTP_LOG_FILE_NAME_APP=sites-app.log
DTP_LOG_FILE_NAME_HTTP=sites-access.log

DTP_LOG_DEBUG=enabled
DTP_LOG_INFO=enabled
DTP_LOG_WARN=enabled

DTP_LOG_HTTP_FORMAT=combined